Package ru.nilsoft.tm

# Class TMCommand.mode_types

java.lang.Object
ru.nilsoft.tm.TMCommand.mode_types

Enclosing class:
  `TMCommand`

public static final class TMCommand.mode_types extends Object
Режимы работы ККТ (смотри `TMCommand.CmdRegistration_1_05(java.lang.String, java.lang.String, byte, java.lang.String, short, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`,`TMCommand.CmdRegistration_1_1(java.lang.String, java.lang.String, byte, java.lang.String, short, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int)`,`TMCommand.CmdRegistration_1_2(java.lang.String, java.lang.String, byte, java.lang.String, int, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, java.lang.String, java.lang.String)`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTO_MODE`
  Бит установлен: Автоматический режим.
  `static final int`
  `AUTOMAT`
  Бит установлен: Установка в автомате.
  `static final int`
  `AUTONOMOUS`
  Бит установлен: Автономный режим.
  `static final int`
  `BSO_MODE`
  Бит установлен: Режим БСО.
  `static final int`
  `CATERING`
  Бит установлен: ККТ в общественном питании.
  `static final int`
  `CHANCE_GAMES`
  Бит установлен: Азартные игры.
  `static final int`
  `ENCRYPT`
  Бит установлен: Режим шифрования данных.
  `static final int`
  `EXCISE_GOODS`
  Бит установлен: Подакцизные товары.
  `static final int`
  `FFD_1_1`
  Бит: 0 - ФФД 1.05, 1 - ФФД 1.1.
  `static final int`
  `INSURANCE`
  Бит установлен: Страховка.
  `static final int`
  `INTERNET`
  Бит установлен: Признак расчетов в интернет сети.
  `static final int`
  `LOMBARD`
  Бит установлен: Ломбард.
  `static final int`
  `LOTTERY`
  Бит установлен: Лотерея.
  `static final int`
  `SERVICE`
  Бит установлен: Применение в сфере услуг.
  `static final int`
  `TMT`
  Бит установлен: ТМТ.
  `static final int`
  `VENDING`
  Бит установлен: ККТ с торговым автоматом.
  `static final int`
  `WHOLESALE`
  Бит установлен: ККТ в оптовой торговле и ИП.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `mode_types()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENCRYPT

    public static final int ENCRYPT
    Бит установлен: Режим шифрования данных.
    See Also:
      - Constant Field Values

  - ### AUTONOMOUS

    public static final int AUTONOMOUS
    Бит установлен: Автономный режим.
    See Also:
      - Constant Field Values

  - ### AUTO_MODE

    public static final int AUTO_MODE
    Бит установлен: Автоматический режим.
    See Also:
      - Constant Field Values

  - ### SERVICE

    public static final int SERVICE
    Бит установлен: Применение в сфере услуг.
    See Also:
      - Constant Field Values

  - ### BSO_MODE

    public static final int BSO_MODE
    Бит установлен: Режим БСО.
    See Also:
      - Constant Field Values

  - ### INTERNET

    public static final int INTERNET
    Бит установлен: Признак расчетов в интернет сети.
    See Also:
      - Constant Field Values

  - ### EXCISE_GOODS

    public static final int EXCISE_GOODS
    Бит установлен: Подакцизные товары.
    See Also:
      - Constant Field Values

  - ### CHANCE_GAMES

    public static final int CHANCE_GAMES
    Бит установлен: Азартные игры.
    See Also:
      - Constant Field Values

  - ### LOTTERY

    public static final int LOTTERY
    Бит установлен: Лотерея.
    See Also:
      - Constant Field Values

  - ### AUTOMAT

    public static final int AUTOMAT
    Бит установлен: Установка в автомате.
    See Also:
      - Constant Field Values

  - ### FFD_1_1

    public static final int FFD_1_1
    Бит: 0 - ФФД 1.05, 1 - ФФД 1.1.
    See Also:
      - Constant Field Values

  - ### TMT

    public static final int TMT
    Бит установлен: ТМТ.
    See Also:
      - Constant Field Values

  - ### LOMBARD

    public static final int LOMBARD
    Бит установлен: Ломбард.
    See Also:
      - Constant Field Values

  - ### INSURANCE

    public static final int INSURANCE
    Бит установлен: Страховка.
    See Also:
      - Constant Field Values

  - ### VENDING

    public static final int VENDING
    Бит установлен: ККТ с торговым автоматом.
    See Also:
      - Constant Field Values

  - ### CATERING

    public static final int CATERING
    Бит установлен: ККТ в общественном питании.
    See Also:
      - Constant Field Values

  - ### WHOLESALE

    public static final int WHOLESALE
    Бит установлен: ККТ в оптовой торговле и ИП.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### mode_types

    public mode_types()